# azure.mgmt.resource.features.v2015_12_01.models module

class `azure.mgmt.resource.features.v2015_12_01.models.``FeatureProperties`(*, state: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information about feature.

  Parameters: | state (str) – The registration state of the feature for the subscription.

class `azure.mgmt.resource.features.v2015_12_01.models.``FeatureResult`(*, name: str = None, properties=None, id: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Previewed feature information.

  Parameters:

  - name (str) – The name of the feature.
  - properties (FeatureProperties) – Properties of the previewed feature.
  - id (str) – The resource ID of the feature.
  - type (str) – The resource type of the feature.

class `azure.mgmt.resource.features.v2015_12_01.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Microsoft.Features operation.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.resource.features.v2015_12_01.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Parameters:

  - provider (str) – Service provider: Microsoft.Features
  - resource (str) – Resource on which the operation is performed: Profile, endpoint, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.resource.features.v2015_12_01.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.resource.features.v2015_12_01.models.``FeatureResultPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `FeatureResult` object